var zapacabLocation = new function ZapacabLocation() {
    this.locationAddress = null;

    this.setPlace = function(place) {
        this.locationAddress = $("#id_address");
        console.log("locationAddress: " + this.locationAddress);

        if (place && place.geometry) {
            var location = place.geometry.location;
            $("#id_geo_lat").val(location.lat());
            $("#id_geo_lon").val(location.lng());
        }

        $("#id_area").val(getSuburb(place));
        $("#id_city").val(getCity(place));
    };

    this.autocomplete = function() {
        var autocompleteOptions = {
        };

        var addressField = document.getElementById("id_address");

        addressAutocomplete = new google.maps.places.Autocomplete(
            addressField, autocompleteOptions);

        google.maps.event.addListener(addressAutocomplete, 'place_changed', function() {
            zapacabLocation.locationAddress = $("#id_address").val();
            var place = addressAutocomplete.getPlace();
            zapacabLocation.setPlace(place);
        });
    };
};